# Business account locked

For various reasons, such as a WhatsApp Business Account (WABA) being temporarily restricted and later reinstated, a *Business Account locked* error may still occur when sending messages.

```json
"error": {
        "message": "(#131031) Business Account locked",
        "type": "OAuthException",
        "code": 131031,
        "error_data": {
            "messaging_product": "whatsapp",
            "details": "Business account has been locked."
        },
        "error_subcode": ...,
        "fbtrace_id": "x"
    }
}
```

### How to solve the issue

To resolve the issue, disable two-step verification (2FA) on the affected phone number, re-register the number and then enable 2FA again after registration is completed.

{% stepper %}
{% step %}

#### Disable 2FA

[Disable two-step verification](#disable-2fa) (2FA) on the affected phone number in WhatsApp Manager.&#x20;
{% endstep %}

{% step %}

#### Re-register the number&#x20;

Re-register the number by completing the Embedded Signup flow and selecting the existing WABA and the same phone number. Ensure the existing WABA and phone number are selected instead of creating a new WABA or registering a new number.
{% endstep %}

{% step %}

#### Re-enable 2FA

Re-enable 2FA after the number has been re-registered in WhatsApp Manager.
{% endstep %}
{% endstepper %}

Finally, perform [a health check](https://docs.360dialog.com/docs/messaging/health-status) on the phone number to confirm it is in a connected status and that no restrictions are reported.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/docs/guides/business-account-locked.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
